GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Functions
resolve_address.h File Reference
`#include <stddef.h>`

Go to the source code of this file.

## Data Structures
struct | grpc_resolved_address
struct | grpc_resolved_addresses

## Macros
#define | GRPC_MAX_SOCKADDR_SIZE 128

## Typedefs
typedef void(* | grpc_resolve_cb )(void *arg, grpc_resolved_addresses *addresses)

## Functions
void | grpc_resolve_address (const char *addr, const char *default_port, grpc_resolve_cb cb, void *arg)
void | grpc_resolved_addresses_destroy (grpc_resolved_addresses *addresses)
grpc_resolved_addresses * | grpc_blocking_resolve_address (const char *addr, const char *default_port)

## Macro Definition Documentation

#define GRPC_MAX_SOCKADDR_SIZE 128

## Typedef Documentation

typedef void(* grpc_resolve_cb)(void *arg, grpc_resolved_addresses *addresses)

## Function Documentation

grpc_resolved_addresses* grpc_blocking_resolve_address | ( | const char * | addr,
|  | const char * | default_port
| ) |  |

void grpc_resolve_address | ( | const char * | addr,
|  | const char * | default_port,
|  | grpc_resolve_cb | cb,
|  | void * | arg
| ) |  |

void grpc_resolved_addresses_destroy | ( | grpc_resolved_addresses * | addresses | ) |